> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create coverage option

> Creates a coverage option for the portfolio



## OpenAPI

````yaml /openapi/integration-openapi.json post /api/{portfolio}/portfolios/v1/coverageOptions
openapi: 3.0.0
info:
  title: Monument Integration API
  description: Monument Integration API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Portfolios
    description: List portfolios accessible to the API key
  - name: Facilities
    description: Facility retrieval and coverage-option configuration
  - name: Units
    description: Unit listing and MORA execution
  - name: Unit Groups
    description: Unit group listing, rate management, and unit assignment
  - name: Rental Records
    description: Rental record listing, coverage, fees, autopay, and payment links
  - name: Ledger Entries
    description: Ledger entry retrieval at facility and rental-record level
  - name: Leads
    description: Lead listing and lease sending
  - name: Tasks
    description: Task creation and listing for integrations
  - name: Tenants
    description: Tenant listing and person updates
  - name: People
    description: Person listing
  - name: Notes
    description: Note listing and creation for tenants and leads
  - name: Auctions
    description: Auction listing
  - name: Coverage
    description: Portfolio-level coverage CRUD and coverage history
  - name: Summary
    description: Portfolio-level aggregate summaries (insurance enrollment/occupancy)
  - name: Promotions
    description: Promotion listing
  - name: ECRI
    description: Effective Current Rent Increase scheduling
  - name: Item Types
    description: Item type listing per facility
  - name: Delinquencies
    description: Delinquency listing per facility
  - name: Physical Locks
    description: Physical lock assignment and unassignment
  - name: Lead Source Options
    description: Lead source option listing
  - name: Webhooks
    description: Webhook subscription management
  - name: Payments
    description: Payment profile creation
paths:
  /api/{portfolio}/portfolios/v1/coverageOptions:
    post:
      tags:
        - Coverage
      summary: Create coverage option
      description: Creates a coverage option for the portfolio
      operationId: PrivateCoverageController_createCoverage
      parameters:
        - in: path
          required: true
          name: portfolio
          schema:
            example: abc_selfstorage
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrUpdateCoverageDto'
      responses:
        '200':
          description: Successfully created coverage option
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCoverageResponse'
components:
  schemas:
    CreateOrUpdateCoverageDto:
      type: object
      properties:
        premiumInPennies:
          type: number
          nullable: false
          description: Value paid monthly by the person that uses this coverage
          example: 2500
        coverageAmountInPennies:
          type: number
          nullable: false
          description: Value paid by the insurance company in case of a claim
          example: 10000000
        providerTermsUrl:
          type: string
          description: Url to the acceptance terms for the partner's coverage
          example: https://partner.com/terms/coverage-123
        providerCoverageId:
          type: string
          description: This id represents the coverage item in the partner's database
          example: COVERAGE_PARTNER_123
        description:
          type: string
          description: >-
            Value for the coverage description and new itemType name and
            description
          example: Premium tenant protection insurance with up to $100,000 coverage
      required:
        - premiumInPennies
        - coverageAmountInPennies
        - providerTermsUrl
        - providerCoverageId
        - description
    CreateCoverageResponse:
      type: object
      properties:
        itemTypeUuid:
          type: string
          format: uuid
          description: UUID of the created item type
          example: 4b5c6d7e-8f9a-0b1c-2d3e-4f5a6b7c8d9e
        coverageUuid:
          type: string
          format: uuid
          description: UUID of the created coverage
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      required:
        - itemTypeUuid
        - coverageUuid

````